Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3Frame Class Reference

    #include <Q3Frame>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits QFrame.

Inherited by Q3DockWindow, Q3GroupBox, Q3ScrollView, and Q3WidgetStack.

- List of all members, including inherited members

### Writable Properties

- margin : int

- 5 writable properties inherited from QFrame
- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- contentsRect : QRect

- 1 read-only property inherited from QFrame
- 20 read-only properties inherited from QWidget

### Public Functions

- Q3Frame ( QWidget * parent, const char * name = 0, Qt::WFlags f = 0 )
- ~Q3Frame ()
- int frameWidth () const

- 2 public functions inherited from QFrame
- 92 public functions inherited from QWidget
- 26 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- virtual void drawContents ( QPainter * painter )
- virtual void drawFrame ( QPainter * p )
- virtual void frameChanged ()
- virtual void paintEvent ( QPaintEvent * event )
- virtual void resizeEvent ( QResizeEvent * event )

- 42 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

## Property Documentation

### contentsRect : QRect

Access functions:

- QRect contentsRect () const

### margin : int

This property holds the width of the margin.

The margin is the distance between the innermost pixel of the frame and the outermost pixel of contentsRect(). It is included in frameWidth().

The margin is filled according to backgroundMode().

The default value is 0.

Access functions:

- int margin () const
- void setMargin ( int )

See also setMargin(), lineWidth(), and frameWidth().

## Member Function Documentation

### Q3Frame::Q3Frame ( QWidget * parent, const char * name = 0, Qt::WFlags f = 0 )

Creates a new frame with the given parent, object name, and with widget flags f.

### Q3Frame::~Q3Frame ()

Destructs the frame.

### void Q3Frame::drawContents ( QPainter * painter ) `[virtual protected]`

Virtual function that draws the contents of the frame on the given painter.

The QPainter is already open when you get it, and you must leave it open. Painter transformations are switched off on entry. If you transform the painter, remember to take the frame into account and reset transformation before returning.

This function is reimplemented by subclasses that draw something inside the frame. It should only draw inside contentsRect(). The default function does nothing.

See also contentsRect() and QPainter::setClipRect().

### void Q3Frame::drawFrame ( QPainter * p ) `[virtual protected]`

Draws the frame using the painter p and the current frame attributes and color group. The rectangle inside the frame is not affected.

This function is virtual, but in general you do not need to reimplement it. If you do, note that the QPainter is already open and must remain open.

See also frameRect(), contentsRect(), drawContents(), frameStyle(), and setPalette().

### void Q3Frame::frameChanged () `[virtual protected]`

Virtual function that is called when the frame style, line width or mid-line width changes.

This function can be reimplemented by subclasses that need to know when the frame attributes change.

### int Q3Frame::frameWidth () const

Returns the width of the frame (including the margin).

### void Q3Frame::paintEvent ( QPaintEvent * event ) `[virtual protected]`

Paints the frame (or part of the frame) that's necessary, depending on the event.

Reimplemented from QWidget.

### void Q3Frame::resizeEvent ( QResizeEvent * event ) `[virtual protected]`

This just calls frameChanged(); it does not make use of the event itself.

Reimplemented from QWidget.